List traces
curl --request GET \
--url https://control-plane.kubiya.ai/api/v1/traces \
--header 'Authorization: Bearer <token>'import requests
url = "https://control-plane.kubiya.ai/api/v1/traces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://control-plane.kubiya.ai/api/v1/traces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://control-plane.kubiya.ai/api/v1/traces",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://control-plane.kubiya.ai/api/v1/traces"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://control-plane.kubiya.ai/api/v1/traces")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://control-plane.kubiya.ai/api/v1/traces")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"trace_id": "<string>",
"organization_id": "<string>",
"name": "<string>",
"status": "success",
"started_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"service_name": "<string>",
"execution_id": "<string>",
"execution_type": "<string>",
"user_id": "<string>",
"user_email": "<string>",
"user_name": "<string>",
"user_avatar": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"span_count": 0,
"error_count": 0,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"page_size": 123,
"total_pages": 123,
"has_next": true,
"has_previous": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
List traces
Get paginated list of traces with optional filtering
GET
/
api
/
v1
/
traces
List traces
curl --request GET \
--url https://control-plane.kubiya.ai/api/v1/traces \
--header 'Authorization: Bearer <token>'import requests
url = "https://control-plane.kubiya.ai/api/v1/traces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://control-plane.kubiya.ai/api/v1/traces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://control-plane.kubiya.ai/api/v1/traces",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://control-plane.kubiya.ai/api/v1/traces"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://control-plane.kubiya.ai/api/v1/traces")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://control-plane.kubiya.ai/api/v1/traces")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"trace_id": "<string>",
"organization_id": "<string>",
"name": "<string>",
"status": "success",
"started_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"service_name": "<string>",
"execution_id": "<string>",
"execution_type": "<string>",
"user_id": "<string>",
"user_email": "<string>",
"user_name": "<string>",
"user_avatar": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"span_count": 0,
"error_count": 0,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"page_size": 123,
"total_pages": 123,
"has_next": true,
"has_previous": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Enter your Kubiya API token (format: Bearer )
Query Parameters
Page number
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100Sort field with - prefix for descending
Filter by status: success, error, running
Filter traces starting after this time
Filter traces starting before this time
Search in trace/span names
Filter by linked execution ID
Filter by service name
Filter by user ID
Filter traces with/without errors
Was this page helpful?